org.eclipse.rdf4j.rio.rdfjson

## Class RDFJSONWriterFactory

- java.lang.Object
- - org.eclipse.rdf4j.rio.rdfjson.RDFJSONWriterFactory

- All Implemented Interfaces:
    RDFWriterFactory

      public class RDFJSONWriterFactory
      extends Object
      implements RDFWriterFactory

  An `RDFWriterFactory` for RDF/JSON writers.
  Author:
    Peter Ansell

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RDFJSONWriterFactory()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `RDFFormat` | `getRDFFormat()` Returns the RDF format for this factory.
    `RDFWriter` | `getWriter(OutputStream out)` Returns an RDFWriter instance that will write to the supplied output stream.
    `RDFWriter` | `getWriter(OutputStream out, String baseURI)` Returns an RDFWriter instance that will write to the supplied output stream.
    `RDFWriter` | `getWriter(Writer writer)` Returns an RDFWriter instance that will write to the supplied writer.
    `RDFWriter` | `getWriter(Writer writer, String baseURI)` Returns an RDFWriter instance that will write to the supplied writer.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RDFJSONWriterFactory

          public RDFJSONWriterFactory()

  - ### Method Detail

    - #### getRDFFormat

          public RDFFormat getRDFFormat()

      Description copied from interface: `RDFWriterFactory`
      Returns the RDF format for this factory.
      Specified by:
        `getRDFFormat` in interface `RDFWriterFactory`

    - #### getWriter

          public RDFWriter getWriter(OutputStream out)

      Description copied from interface: `RDFWriterFactory`
      Returns an RDFWriter instance that will write to the supplied output stream.
      Specified by:
        `getWriter` in interface `RDFWriterFactory`
      Parameters:
        `out` - The OutputStream to write the RDF to.

    - #### getWriter

          public RDFWriter getWriter(OutputStream out,
                                     String baseURI)

      Description copied from interface: `RDFWriterFactory`
      Returns an RDFWriter instance that will write to the supplied output stream. Using the supplied baseURI to relativize IRIs to relative IRIs.
      Specified by:
        `getWriter` in interface `RDFWriterFactory`
      Parameters:
        `out` - The OutputStream to write the RDF to.
        `baseURI` - The URI associated with the data in the InputStream.

    - #### getWriter

          public RDFWriter getWriter(Writer writer)

      Description copied from interface: `RDFWriterFactory`
      Returns an RDFWriter instance that will write to the supplied writer. (Optional operation)
      Specified by:
        `getWriter` in interface `RDFWriterFactory`
      Parameters:
        `writer` - The Writer to write the RDF to.

    - #### getWriter

          public RDFWriter getWriter(Writer writer,
                                     String baseURI)

      Description copied from interface: `RDFWriterFactory`
      Returns an RDFWriter instance that will write to the supplied writer. Using the supplied baseURI to relativize IRIs to relative IRIs. (Optional operation)
      Specified by:
        `getWriter` in interface `RDFWriterFactory`
      Parameters:
        `writer` - The Writer to write the RDF to.
        `baseURI` - The URI associated with the data in the InputStream.

Copyright © 2015-2020 Eclipse Foundation. All Rights Reserved.